package com.example.livingai.domain.usecases

import com.example.livingai.domain.repository.business.AnimalProfileRepository

class DeleteAnimalProfile(
    private val animalProfileRepository: AnimalProfileRepository
) {
    suspend operator fun invoke(animalId: String) {
        animalProfileRepository.deleteAnimalProfile(animalId)
    }
}
